#!/bin/sh

set -e

. /usr/share/debconf/confmodule
. /usr/share/dbconfig-common/dpkg/postinst.pgsql

CONF=/etc/openerp6-server.conf
CONFTPL=/usr/share/openerp6/server.conf.tpl
USER=openerp6
if ! getent passwd | grep -q "^$USER:"; then
    adduser --system --no-create-home --quiet --gecos 'Open ERP server' --group $USER
fi

dbc_pgsql_createdb_encoding="UTF8"
dbc_generate_include="template:${CONF}"
dbc_generate_include_owner="${USER}:${USER}"
dbc_generate_include_args="-o template_infile=${CONFTPL} -U"
dbc_go openerp6 $@

db_version 2.0
db_get openerp6-server/password
sed -i -e "s/^admin_passwd.*$/admin_passwd = ${RET}/" ${CONF}
chown -R ${USER}:${USER} ${CONF} /var/lib/openerp6 /var/log/openerp6

#DEBHELPER#
